Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038198
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementmajoralways2018-03-22 14:582018-05-09 19:29
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision9bf688e01cf8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038198: Required Quantity in Work Effort - Production Run is rounded to Integer, decimals are removed

DescriptionRequired Quantity in Work Effort - Production Run is rounded to Integer, decimals are removed

M_ProductionPlan.Neededquantity has Integer Reference instead of Quantity. Besides, in CreateWorkEffort class the value is being rounded:

productionPlan.setRequiredQuantity(requeriedQty.longValue());
Steps To ReproduceAs group admin role:
   Create a product, set is as Production
   Add a storage bin in Manufacturing plan
   Create a Process Plan, Version and Operation
   Add the previously created product as P+
   Create a Work Requirement for that Process Plan
   Quantity: 6.5
   Process Work Requirement
   Create Work Effort from it
   Go to Work Effort - Production Run tab and check Required Quantity shows 6 (it should be 6.5)

   Delete the Production Run
   Create a new one
   Select the WR Phase
   Check the Required Quantity shows 6 (an it should be 6.5)
Proposed SolutionAttached a possible patch to be reviewed
TagsNo tags attached.
Attached Filespatch file icon 38198.patch [^] (2,707 bytes) 2018-03-22 14:59 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 00382923.0PR18Q3 closeddmiguelez API Change Request: Change Required Quantity in Work Effort Reference from Integer to BigDecimal 

-  Notes
(0103512)
collazoandy4 (developer)
2018-03-26 16:41

Test Plan
  As group admin role:
   Create a product, set is as Production
   Add a storage bin in Manufacturing plan
   Create a Process Plan, Version and Operation
   Add the previously created product as P+
   Create a Work Requirement for that Process Plan
   Quantity: 6.5
   Process Work Requirement
   Create Work Effort from it
   Go to Work Effort - Production Run tab and check Required Quantity shows the correct value 6.5

   Delete the Production Run
   Create a new one
   Select the WR Phase
   Check the Required Quantity shows 6.5 (the corect one)
(0103694)
hgbot (developer)
2018-04-05 17:08

Repository: erp/devel/pi
Changeset: d27b7f54d0daf8885ffd9da4b6c51c7dbd572097
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Mar 23 16:18:56 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/d27b7f54d0daf8885ffd9da4b6c51c7dbd572097 [^]

Fixes issue 38198: Required Quantity in Work Effort - Production Run is rounded
to Integer, decimals are removed

The required quantity in work efforts can be decimals, a long value was set and
the decimals are removed even if the work requeriment quantity is decimal

The Required Quantity in work efforts was change to quantity reference to allows
decimal values.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateWorkEffort.java
---
(0103695)
dmiguelez (developer)
2018-04-05 17:08

Code Review + Testing Ok
(0103708)
dmiguelez (developer)
2018-04-06 09:49

There has been an API Change not properly managed.

Reopened until API Change is handled.
(0103725)
dmiguelez (developer)
2018-04-06 19:00

Pending API Change to be approved:

https://issues.openbravo.com/view.php?id=38292 [^]
(0103833)
hgbot (developer)
2018-04-12 12:39

Repository: erp/devel/api-checks
Changeset: 168ba08168554a7092f5117638f0ce7dab363c16
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Apr 12 12:35:54 2018 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/168ba08168554a7092f5117638f0ce7dab363c16 [^]

Fixes issue 38292: API change for issue 38198

---
M java/reference/java.japi.gz
---
(0103835)
hgbot (developer)
2018-04-12 12:39

Repository: erp/devel/pi
Changeset: 9bf688e01cf861193a690e49a513620454ec19fa
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Mar 23 16:18:56 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/9bf688e01cf861193a690e49a513620454ec19fa [^]

Fixes issue 38198: Required Quantity in Work Effort - Production Run is rounded
to Integer, decimals are removed

The required quantity in work efforts can be decimals, a long value was set and
the decimals are removed even if the work requeriment quantity is decimal

The Required Quantity in work efforts was change to quantity reference to allows
decimal values.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateWorkEffort.java
---
(0103836)
aferraz (developer)
2018-04-12 12:41

Pushed and closed again after pushing the API change.
(0104364)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104374)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-22 14:58 ngarcia New Issue
2018-03-22 14:58 ngarcia Assigned To => Triage Finance
2018-03-22 14:58 ngarcia Modules => Core
2018-03-22 14:58 ngarcia Triggers an Emergency Pack => No
2018-03-22 14:59 ngarcia File Added: 38198.patch
2018-03-22 14:59 ngarcia Issue Monitored: networkb
2018-03-22 17:39 dmiguelez Assigned To Triage Finance => collazoandy4
2018-03-23 20:47 collazoandy4 Status new => scheduled
2018-03-26 16:41 collazoandy4 Note Added: 0103512
2018-04-05 14:50 martinsdan Issue Monitored: martinsdan
2018-04-05 17:08 hgbot Checkin
2018-04-05 17:08 hgbot Note Added: 0103694
2018-04-05 17:08 hgbot Status scheduled => resolved
2018-04-05 17:08 hgbot Resolution open => fixed
2018-04-05 17:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d27b7f54d0daf8885ffd9da4b6c51c7dbd572097 [^]
2018-04-05 17:08 dmiguelez Review Assigned To => dmiguelez
2018-04-05 17:08 dmiguelez Note Added: 0103695
2018-04-05 17:08 dmiguelez Status resolved => closed
2018-04-05 17:08 dmiguelez Fixed in Version => 3.0PR18Q3
2018-04-06 09:49 dmiguelez Note Added: 0103708
2018-04-06 09:49 dmiguelez Status closed => new
2018-04-06 09:49 dmiguelez Resolution fixed => open
2018-04-06 09:49 dmiguelez Fixed in Version 3.0PR18Q3 =>
2018-04-06 10:18 dmiguelez Status new => scheduled
2018-04-06 19:00 dmiguelez Note Added: 0103725
2018-04-06 19:00 dmiguelez Relationship added related to 0038292
2018-04-09 15:52 vmromanos Relationship replaced depends on 0038292
2018-04-12 12:39 hgbot Checkin
2018-04-12 12:39 hgbot Note Added: 0103833
2018-04-12 12:39 hgbot Checkin
2018-04-12 12:39 hgbot Note Added: 0103835
2018-04-12 12:39 hgbot Status scheduled => resolved
2018-04-12 12:39 hgbot Resolution open => fixed
2018-04-12 12:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/d27b7f54d0daf8885ffd9da4b6c51c7dbd572097 [^] => http://code.openbravo.com/erp/devel/pi/rev/9bf688e01cf861193a690e49a513620454ec19fa [^]
2018-04-12 12:41 aferraz Note Added: 0103836
2018-04-12 12:41 aferraz Status resolved => closed
2018-04-12 12:41 aferraz Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104364
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104374


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker